For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETGet a commit version
      • POSTComplete a commit version
      • POSTReplay a commit version
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceCommits

Get a commit version

GET
https://api.x.flatfile.com/v1/commits/:commitId
GET
/v1/commits/:commitId
$curl https://api.x.flatfile.com/v1/commits/us_vr_YOUR_ID \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "us_vr_YOUR_ID",
4 "sheetId": "us_sh_YOUR_ID",
5 "createdBy": "us_usr_YOUR_ID",
6 "createdAt": "2019-08-24T14:15:22Z"
7 }
8}
Returns the details of a commit version
Was this page helpful?
Previous

Complete a commit version

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

commitIdstringRequired
ID of the commit version to return

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject
A commit version

Errors

400
Bad Request Error
404
Not Found Error